Enviar mensaje interactivo de lista
POST
/messages/send-list/{ticketId}
const url = 'https://api.matiasimpulso.com/messages/send-list/1';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","text":"example","buttonText":"example","footer":"example","sections":[{"title":"example","rows":[{"id":"example","title":"example","description":"example"}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.matiasimpulso.com/messages/send-list/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "text": "example", "buttonText": "example", "footer": "example", "sections": [ { "title": "example", "rows": [ { "id": "example", "title": "example", "description": "example" } ] } ] }'Envía un mensaje interactivo con menú desplegable de opciones al contacto del ticket.
Authorizations
Sección titulada « Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada « Path Parameters » ticketId
required
number
ID del ticket
Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
title
required
string
text
required
string
buttonText
required
string
footer
string
sections
required
Array<object>
object
title
required
string
rows
required
Array<object>
object
id
required
string
title
required
string
description
string
Example generated
{ "title": "example", "text": "example", "buttonText": "example", "footer": "example", "sections": [ { "title": "example", "rows": [ { "id": "example", "title": "example", "description": "example" } ] } ]}Responses
Sección titulada « Responses »Mensaje de lista enviado correctamente
Estructura de lista inválida
Sin permisos sobre el ticket
Ticket no encontrado